# Class ObservationData

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Represents a data structure for storing observation information.

    public class ObservationData

Inheritance
  object
  ObservationData

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Code

    public string? Code { get; set; }

#### Property Value

string

### CodingSystem

    public string? CodingSystem { get; set; }

#### Property Value

string

### Text

    public string? Text { get; set; }

#### Property Value

string

### Time

    public DateTime? Time { get; set; }

#### Property Value

DateTime?

### Value

    public object? Value { get; set; }

#### Property Value

object